/**
 * Android Application: LiveUOC
 * Treball fi de carrera
 * Universitat Oberta de Catalunya
 * 
 * @author Jose A. Serrano
 *
 */

package edu.uoc.Android.LiveUOC.Objectes;

public class Aula {

	private String codi;
	private String assignatura;

	/*
	 * Constructor parametritzat
	 */
	public Aula(String cod, String assig){
		codi = cod;
		assignatura = assig;
	}

	/*
	 * Constructor buit
	 */
	public Aula(){
		codi = "";
		assignatura = "";
	}
	
	/*
	 * Getter
	 * @return codi
	 */
	public String getCodi(){
		return codi;
	}
	
	/*
	 * Getter
	 * @return assignatura
	 */
	public String getAssignatura(){
		return assignatura;
	}
	
	/*
	 * Setter
	 * @param codi
	 */
	public void setCodi(String cod){
		codi = cod;
	}
	
	/*
	 * Setter
	 * @param assignatura
	 */
	public void setAssignatura(String assig){
		assignatura = assig;
	}
}
