/**
 * Android Application: LiveUOC
 * Treball fi de carrera
 * Universitat Oberta de Catalunya
 * 
 * @author Jose A. Serrano
 *
 */

package edu.uoc.Android.LiveUOC;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.ImageButton;


public class SecretariaActivity extends Activity {

	public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        
        // Mostrem el layout de pantalla
        setContentView(R.layout.secretaria);
        
        /*
         * Capturem els botons:
         * 		botoNotes		-> Llena l'activitat consulta Notes (NO IMPLEMENTAT - API)
         * 		botoCalendari	-> Llena l'activitat Mostra Calendari
         * 		botoSortir		-> Torna enrera
         * 
         */
        final ImageButton botoNotes = (ImageButton) findViewById(R.id.botoNotes);
        final ImageButton botoCalendari = (ImageButton) findViewById(R.id.botoCalendari);
        final Button botoSortir = (Button) findViewById(R.id.botoSortir);
        
        // Pulsaci del Bot Notes
        // Creem el seu onClickListener
        OnClickListener oclbotoNotes = new OnClickListener(){
			public void onClick(View v) {
				
				// Creem el intent per a llenar l'aplicaci
				Intent intent = new Intent();
				intent.setClass(getApplicationContext(), ImplemPendActivity.class);
				startActivity(intent);
				
			}
		};        
        // Registrem el seu callback
		botoNotes.setOnClickListener(oclbotoNotes);
		
        // Pulsaci del Bot Calendari
        // Creem el seu onClickListener
        OnClickListener oclbotoCalendari = new OnClickListener(){
			public void onClick(View v) {
				
				// Creem el intent per a llenar l'aplicaci
				Intent intent = new Intent();
				intent.setClass(getApplicationContext(), CalendariActivity.class);
				startActivity(intent);
				
			}
		};        
        // Registrem el seu callback
		botoCalendari.setOnClickListener(oclbotoCalendari);
		
        // Pulsaci del Bot Sortir
        // Creem el seu onClickListener
        OnClickListener oclbotoSortir = new OnClickListener(){
			public void onClick(View v) {
				finish();
			}
		};        
        // Registrem el seu callback
		botoSortir.setOnClickListener(oclbotoSortir);
		
	}
}
